function onBegin()
    if not getFlag("LinjDownComf") then
	makeUnskippable()
	disableRetry()
		getLevel().SaveQuitDisabled = true
		disableMovement()
		waitUntilOnGround ()
		player.DummyAutoAnimate = false
		player.Sprite:Play("duck", true, false)
        say("the")
		player.DummyAutoAnimate = true
    end
end

function onEnd()
    enableMovement()
    enableRetry()
    setFlag("LinjDownComf", true)
end